SDL Library Documentation
Prev |  | Next

# SDL_GetRelativeMouseState

## Name

SDL_GetRelativeMouseState -- Retrieve the current state of the mouse

## Synopsis

    #include "SDL.h"

``Uint8 SDL_GetRelativeMouseState`(int *x, int *y);`

## Description

The current button state is returned as a button bitmask, which can be tested using the `SDL_BUTTON(X)` macros, and `x` and `y` are set to the change in the mouse position since the last call to `SDL_GetRelativeMouseState` or since event initialization. You can pass `NULL` for either `x` or `y`.

## See Also

`SDL_GetMouseState`

Prev | Home | Next
SDL_GetMouseState | Up | SDL_GetAppState